Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024203
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-06-26 18:572013-09-20 15:19
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revisionfc7b11f7d0dd
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024203: Incremental refresh does not work in Business partners if you modify business partner contact

DescriptionIncremental refresh does not work in Business partners if you modify business partner contact
Steps To Reproduce-configure incremental refresh --> 1 minute

-create a business partner

verify that the BP is synchronized, however if you do changes in table ad_user the changes are not detected until you do not change table c_bpartner_location.
TagsNo tags attached.
Attached Filesdiff file icon issue24203.diff [^] (11,359 bytes) 2013-08-29 09:32 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023886RMP24 closedmarvintm Incremental refresh does not work if you modify c_bpartner table or c_location 
related to defect 0024376RMP26 closedmarvintm Bad performance in RMP24 in the business partner model 

-  Notes
(0060840)
hgbot (developer)
2013-08-30 14:31

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fc7b11f7d0ddc2fc85eb72cea00c8c869552cb16
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Aug 30 14:31:11 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fc7b11f7d0ddc2fc85eb72cea00c8c869552cb16 [^]

Fixed issue 24203. Contact information will now be updated also by incremental refresh. Increased performance of the business partner query in all cases.

---
M src/org/openbravo/retail/posterminal/master/BusinessPartner.java
---
(0060999)
hgbot (developer)
2013-09-10 09:54

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: fc7b11f7d0ddc2fc85eb72cea00c8c869552cb16
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Aug 30 14:31:11 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/fc7b11f7d0ddc2fc85eb72cea00c8c869552cb16 [^]

Fixed issue 24203. Contact information will now be updated also by incremental refresh. Increased performance of the business partner query in all cases.

---
M src/org/openbravo/retail/posterminal/master/BusinessPartner.java
---
(0061320)
guilleaer (developer)
2013-09-20 15:19

verified

- Issue History
Date Modified Username Field Change
2013-06-26 18:57 jecharri New Issue
2013-06-26 18:57 jecharri Assigned To => marvintm
2013-06-26 18:57 jecharri Relationship added related to 0023886
2013-08-16 16:03 guilleaer Relationship added related to 0024376
2013-08-19 12:05 marvintm Triggers an Emergency Pack => No
2013-08-19 12:05 marvintm Target Version RMP26 => RMP27
2013-08-21 05:57 anherzog Issue Monitored: anherzog
2013-08-29 09:32 marvintm File Added: issue24203.diff
2013-08-30 14:31 hgbot Checkin
2013-08-30 14:31 hgbot Note Added: 0060840
2013-08-30 14:31 hgbot Status new => resolved
2013-08-30 14:31 hgbot Resolution open => fixed
2013-08-30 14:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fc7b11f7d0ddc2fc85eb72cea00c8c869552cb16 [^]
2013-09-10 09:54 hgbot Checkin
2013-09-10 09:54 hgbot Note Added: 0060999
2013-09-10 09:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fc7b11f7d0ddc2fc85eb72cea00c8c869552cb16 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/fc7b11f7d0ddc2fc85eb72cea00c8c869552cb16 [^]
2013-09-20 15:19 guilleaer Review Assigned To => guilleaer
2013-09-20 15:19 guilleaer Note Added: 0061320
2013-09-20 15:19 guilleaer Status resolved => closed
2013-09-20 15:19 guilleaer Fixed in Version => RMP27


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker